V_SIM(1)

NAME
v_sim - a GTK program for 3D visualisation of atomic systems

SYNOPSIS
v_sim [-h | -e file | -g wxh | -c file | -ul:m:n | -d id | -p file | -t x:y:z | -s file | -m id | -a | -f file | -v v[:v] | -i file | -o id=val | -b id | -n val ] [fileToRender]
This manual page documents briefly the v_sim commands. It is a software to visualise atomic structures with OpenGl rendering.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A complete list of options is included below.

-h, --help
    Show the list of options.

-e, --export file
    Make an image from the fileToRender argument. The format is specified through the extension of the file parameter. When this option is given, the graphical interface is not loaded, and V_Sim is used as a command line tool.

-g, --geometry <width>x<height>
    Specify the size of the rendering window, the size parameter must have the following format : <width>x<height> with positive non null values.

-c, --colorize file (from v3.2.0)
    The argument fileToRender must be called, then the given file of the option is used to colorize the elements.

-u, --use-colmn l:m:n (from v3.2.0)
    must be used with the --colorize option, it specifies the columns to use from the data file for the three colour channels [l;m;n]. Columns are counted from 1 and set 0 to use the constant 1.

-d, --color-preset id (from v3.2.0)
    This option must be used with the --colorize one and a valid file parameter. It chooses a preset color scheme. The id parameter is an integer that corresponds to a defined color shade.

-p, --planes file (from v3.2.0)
    The argument fileToRender must be called, then the given file of the option is parsed as a list of planes and they are rendered.

-t, --translate x:y:z (from v3.2.0)
    A file must be loaded. It applies the given translations to the loaded file. The units are those of the file.

-s, --spin-file file (from v3.1.0)
    Use the given file as a spin indicator. If this option is used, V_Sim switches automatically to spin rendering whatever method is specified in the parameter file.

-m, --hiding-mode id (from v3.2.0)
    Policy used to show or not null modulus spins possible values are positives.

-a, --spin-and-atomic (from v3.2.0)
    Always draws atomic rendering on node position in addition to spin rendering.

-f, --scalar-field file (from v3.3.0)
    the argument fileToRender must be called, then the given file of the option is parsed as a scalar field and loaded.

-v, --iso-values v[:v] (from v3.3.0)
    Must be used with the --scalar-field option, then the given surfaces are built and rendered. If a name is appended to a value using # as separator, this name is used as the name for the iso-surface (i.e. 0.25#Blue).

-i, --iso-surfaces file (from v3.3.0)
    The argument fileToRender must be called, then the given file of the option is parsed and surfaces are rendered.

--fit-to-box val (from v3.3.0)
    If val is not TRUE, the surfaces use their own bounding box (default is TRUE).

-o, --option id=value (from v3.3.0)
    This is a generic way to give extended option to V_Sim. As much as -o can be used. Each one stores a key and its value (boolean, integer or float).

-b, --build-map id (from v3.4.0)
    the argument fileToRender must be given, as the --planes , --color-preset and --scalar-field options used, then the given plane 'id' is replaced by a coloured map using given scalar field and shade. 'id' ranges from 0.

--log-scale (from v3.4.0)
    if given, plots are done with logarithm scale.

-n, --n-iso-lines val (from v3.4.0)
    when positive, val isolines are plotted on the coloured map.

--bg-image file (from v3.4.0)
    if given, the image file is drawn on the background over the background colour.

FILES
/usr/share/v_sim/v_sim.res specify all rendering informations from position of the camera to colour of the elements.
/usr/share/v_sim/v_sim.par specify all interface and non-rendering options such as the positions of the panels.
~/$XDG_CONFIG_DIR/v_sim a directory where overloading v_sim.res and v_sim.par can be put.

AUTHOR
V_Sim was written by Luc Billard, Damien Caliste, Olivier D'Astier Aurélien Lherbier and Yoann Ratao.

This manual page was written by Damien Caliste <dcaliste@free.fr>.